
function LocalStorage(storage) {
    this.storage = storage;
}

LocalStorage.prototype.save = function(key, value, successCallback, errorCallback) {
    this.storage.setItem(key, value);
    successCallback();
};

LocalStorage.prototype.get = function(key, callback) {
    var value = this.storage.getItem(key);
    callback(value ? value : {});
};