
function InMemoryStorage(storage) {
    this.storage = storage;
}

InMemoryStorage.prototype.save = function(key, value, successCallback, errorCallback) {
    this.storage[key] = value;
    successCallback();
};

InMemoryStorage.prototype.get = function(key, callback) {
    callback(this.storage[key] ? this.storage[key] : {});
};